{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2> Friend Fasilkom</h2>
                    <div id="friend-list" class="list-group">
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
            $.ajax({
                method: "GET",
                url: "{% url 'lab-7:get-friend-list' %}",
                dataType: "json",
                success: function (response) {
                    response.friend_list.forEach(function(friend) {
                        html = '<a id="friend-' + friend.npm + '" class="list-group-item clearfix" href="mahasiswa/' + friend.npm + '/">' +
                            friend.friend_name + ' (' + friend.npm +
                            `)<span class="pull-right"><span class="btn btn-xs btn-default" onClick="deleteFriend('` + friend.npm + `')">Hapus teman</span></span></a>`;
                        $("#friend-list").append(html)
                    });
                },
                error: function(error){
                    alert("Daftar teman tidak bisa didapatkan saat ini")
                }
            });
        });

        var deleteFriend = function(npm) {
            $.ajax({
                method: "POST",
                url: "{% url 'lab-7:delete-friend' %}",
                data: {"npm": npm},
                dataType: "json",
                success : function (response) {
                    console.log(typeof response);
                    console.log(response);
                    
                    // delete friend in list
                    $("#friend-" + response.deleted_npm).remove();
                },
                error : function (error) {
                    console.log(error);
                    alert(error.responseText);
                }
            });
        };
    </script>
{% endblock %}
